package com.chenyang.nse.bussiness.entity.orm.table.core.mappletxml;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_RULE_PORT"
)
public class TCoreRulePort extends TBaseEntity {
   private String transformationinfoid;
   private String portname;
   private String datatypesss;
   private String precisionsss;
   private String scalesss;
   private String porttypesss;
   @Column(
      length = 4000
   )
   private String expression;
   private String prePort;
   private String nextPort;
   private String associateOP;
   private String preTransformationType;
   private String preTransformationName;
   private String nextTransformationType;
   private String nextTransformationName;
   private String assignedFlag;
   private String seedsss;
   private String maskingOption;
   private String portOrderIndex;

   public String getTransformationinfoid() {
      return this.transformationinfoid;
   }

   public void setTransformationinfoid(String transformationinfoid) {
      this.transformationinfoid = transformationinfoid;
   }

   public String getPortname() {
      return this.portname;
   }

   public void setPortname(String portname) {
      this.portname = portname;
   }

   public String getExpression() {
      return this.expression;
   }

   public void setExpression(String expression) {
      this.expression = expression;
   }

   public String getPrePort() {
      return this.prePort;
   }

   public void setPrePort(String prePort) {
      this.prePort = prePort;
   }

   public String getNextPort() {
      return this.nextPort;
   }

   public void setNextPort(String nextPort) {
      this.nextPort = nextPort;
   }

   public String getAssociateOP() {
      return this.associateOP;
   }

   public void setAssociateOP(String associateOP) {
      this.associateOP = associateOP;
   }

   public String getPreTransformationType() {
      return this.preTransformationType;
   }

   public void setPreTransformationType(String preTransformationType) {
      this.preTransformationType = preTransformationType;
   }

   public String getPreTransformationName() {
      return this.preTransformationName;
   }

   public void setPreTransformationName(String preTransformationName) {
      this.preTransformationName = preTransformationName;
   }

   public String getNextTransformationType() {
      return this.nextTransformationType;
   }

   public void setNextTransformationType(String nextTransformationType) {
      this.nextTransformationType = nextTransformationType;
   }

   public String getNextTransformationName() {
      return this.nextTransformationName;
   }

   public void setNextTransformationName(String nextTransformationName) {
      this.nextTransformationName = nextTransformationName;
   }

   public String getAssignedFlag() {
      return this.assignedFlag;
   }

   public void setAssignedFlag(String assignedFlag) {
      this.assignedFlag = assignedFlag;
   }

   public String getMaskingOption() {
      return this.maskingOption;
   }

   public void setMaskingOption(String maskingOption) {
      this.maskingOption = maskingOption;
   }

   public String getPortOrderIndex() {
      return this.portOrderIndex;
   }

   public void setPortOrderIndex(String portOrderIndex) {
      this.portOrderIndex = portOrderIndex;
   }

   public String getDatatypesss() {
      return this.datatypesss;
   }

   public void setDatatypesss(String datatypesss) {
      this.datatypesss = datatypesss;
   }

   public String getPrecisionsss() {
      return this.precisionsss;
   }

   public void setPrecisionsss(String precisionsss) {
      this.precisionsss = precisionsss;
   }

   public String getScalesss() {
      return this.scalesss;
   }

   public void setScalesss(String scalesss) {
      this.scalesss = scalesss;
   }

   public String getPorttypesss() {
      return this.porttypesss;
   }

   public void setPorttypesss(String porttypesss) {
      this.porttypesss = porttypesss;
   }

   public String getSeedsss() {
      return this.seedsss;
   }

   public void setSeedsss(String seedsss) {
      this.seedsss = seedsss;
   }
}
